Please ensure Javascript is enabled for purposes of website accessibility
Powered by Zoomin Software. For more details please contactZoomin

CONNECT EAP

Resolved entities and entity components

  • Last UpdatedOct 02, 2026
  • 2 minute read

Entity Management's basic entity and component endpoints are designed to isolate an entity's component definitions from each other as well as from ad hoc properties and relationships. For situations where it is useful to consider components and ad hoc properties and relationships together, Entity Management provides two additional endpoints: resolvedEntities and entityComponents.

resolvedEntities

The resolvedEntities endpoint returns both ad hoc as well as component-scoped properties and relationships in a flat list. Properties or relationships that belong to a component include a componentTypeId, which ad hoc properties or relationships do not.

GET /v2/resolvedEntities/pump-0001

{

"id": "pump-0001",

"name": "",

"description": "",

"classId": 2,

"className": "Asset",

"createdDate": "2026-08-18T15:59:00.7480848Z",

"createdBy": "6fd1d111-3cc6-4171-8090-e9288ae3d735",

"modifiedDate": "2026-08-18T16:49:19.2011028Z",

"modifiedBy": "6fd1d111-3cc6-4171-8090-e9288ae3d735",

"properties": [

{

"id": "Manufacturer",

"name": "Manufacturer",

"value": "Acme Co.",

"typeCode": "String"

},

{

"componentTypeId": "CentrifugalPump",

"id": "ImpellerDiameter",

"name": "Impeller Diameter",

"value": 49.25,

"typeCode": "Double",

"uom": "millimeter"

},

{

"componentTypeId": "CentrifugalPump",

"id": "NumberOfStages",

"name": "Number of Stages",

"value": 4,

"typeCode": "Int32"

},

{

"componentTypeId": "CentrifugalPump",

"id": "MaxHead",

"name": "Maximum Head",

"value": 100,

"typeCode": "Double",

"uom": "meter"

}

],

"relationships": [

{

"componentTypeId": "CentrifugalPump",

"id": "FlowDiagnostics",

"name": "Flow Diagnostics",

"targets": [

{

"id": "Pump-Diagnostics-0001",

"targetBase": "Stream",

"relationshipType": "Related"

}

]

}

],

"aliases": [],

"securityTags": [],

"componentMetadata": [

{

"componentTypeId": "CentrifugalPump",

"componentTypeName": "Centrifugal Pump",

"ancestorTypeIds": [

"BaseAsset"

]

}

],

"version": 3,

"errors": []

}

entityComponents

The resolvedEntities endpoint supports reading an entity's components and ad hoc collections in a single view. You can create or update an entity's components and ad hoc properties together using the entityComponents endpoint.

entityComponents request example

POST /v2/entityComponents

{

"id": "pump-0003",

"components": [

{

"typeid": "CentrifugalPumpX",

"properties": [

{

"id": "ImpellerDiameter",

"value": 49.25

},

{

"id": "NumberOfStages",

"value": 4

},

{

"id": "MaxHead",

"value": 100.00

}

],

"relationships": [

{

"id": "FlowDiagnostics",

"targets": [

{

"id": "Pump-Diagnostics-0001",

"targetBase": "stream",

"relationshipType": "Related"

}

]

}

]

}

],

"properties": [

{

"id": "Manufacturer",

"typeCode": "string",

"value": "Acme Co."

}

]

}

entityComponents response example

{

"id": "pump-0003",

"name": "",

"description": "",

"classId": 2,

"className": "Asset",

"createdDate": "2026-08-18T20:05:54.9050363Z",

"createdBy": "6fd1d111-3cc6-4171-8090-e9288ae3d735",

"modifiedDate": "2026-08-18T20:05:54.9050363Z",

"modifiedBy": "6fd1d111-3cc6-4171-8090-e9288ae3d735",

"properties": [

{

"id": "Manufacturer",

"value": "Acme Co.",

"typeCode": "String"

}

],

"relationships": [],

"aliases": [],

"securityTags": [],

"components": [

{

"typeId": "CentrifugalPumpX",

"ancestorTypeIds": [

"BaseAsset"

],

"properties": [

{

"id": "ImpellerDiameter",

"value": 49.25,

"typeCode": "Double",

"uom": "millimeter"

},

{

"id": "NumberOfStages",

"value": 4,

"typeCode": "Int32"

},

{

"id": "MaxHead",

"value": 100,

"typeCode": "Double",

"uom": "meter"

}

],

"relationships": [

{

"id": "FlowDiagnostics",

"targets": [

{

"id": "Pump-Diagnostics-0001",

"targetBase": "Stream",

"relationshipType": "Related"

}

]

}

]

}

],

"errors": []

}

In This Topic
Related Links